Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.interceptors.dynamic
Class AbstractCollectionInterceptor

    java.lang.Object
      org.jboss.cache.pojo.interceptors.dynamic.AbstractCollectionInterceptor

All Implemented Interfaces:
  Cloneable, org.jboss.aop.advice.Interceptor, BaseInterceptor

Direct Known Subclasses:
  CachedListInterceptor, CachedMapInterceptor, CachedSetInterceptor

    public abstract class AbstractCollectionInterceptor

extends Object
implements BaseInterceptor

Abstract base class for collection interceptor.

Version:
  $Id: AbstractCollectionInterceptor.java 7070 2008-11-04 00:37:28Z jason.greene@jboss.com $
Author:
  Ben Wang

Method Summary
`void` | `attach(org.jboss.cache.Fqn fqn, boolean copyToCache)` Attaching the Collection to PojoCache.
`void` | `detach(boolean removeFromCache)`
`PojoInstance` | `getAopInstance()`
`org.jboss.aop.proxy.ClassProxy` | `getBoundProxy()`
`abstract Object` | `getCurrentCopy()`
`org.jboss.cache.Fqn` | `getFqn()` Get the original fqn that is associated with this interceptor (or advisor).
`abstract Object` | `getSerializationCopy()`
`boolean` | `isAttached()`
`void` | `setAopInstance(PojoInstance pojoInstance)`
`void` | `setBoundProxy(org.jboss.aop.proxy.ClassProxy boundProxy)`
`void` | `setFqn(org.jboss.cache.Fqn fqn)`
`void` | `verifyAttached(Object target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.cache.pojo.interceptors.dynamic.BaseInterceptor
`setInterceptor`

Methods inherited from interface org.jboss.aop.advice.Interceptor
`getName, invoke`

Method Detail

### getFqn

    public org.jboss.cache.Fqn getFqn()

  Description copied from interface: `BaseInterceptor`
  Get the original fqn that is associated with this interceptor (or advisor).

  Specified by:
    `getFqn` in interface `BaseInterceptor`

### setFqn

    public void setFqn(org.jboss.cache.Fqn fqn)

  Specified by:
    `setFqn` in interface `BaseInterceptor`

### getAopInstance

    public PojoInstance getAopInstance()

  Specified by:
    `getAopInstance` in interface `BaseInterceptor`

### setAopInstance

    public void setAopInstance(PojoInstance pojoInstance)

  Specified by:
    `setAopInstance` in interface `BaseInterceptor`

### attach

    public void attach(org.jboss.cache.Fqn fqn,
                       boolean copyToCache)

  Attaching the Collection to PojoCache.

### detach

    public void detach(boolean removeFromCache)

### isAttached

    public boolean isAttached()

### verifyAttached

    public void verifyAttached(Object target)

### getSerializationCopy

    public abstract Object getSerializationCopy()

### getCurrentCopy

    public abstract Object getCurrentCopy()

### getBoundProxy

    public org.jboss.aop.proxy.ClassProxy getBoundProxy()

### setBoundProxy

    public void setBoundProxy(org.jboss.aop.proxy.ClassProxy boundProxy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.